summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Palimaka <kensington@gentoo.org>2017-06-04 20:44:37 +1000
committerMichael Palimaka <kensington@gentoo.org>2017-06-04 20:45:08 +1000
commit21ae13107a5c962f734ee0b31b7a9d68b87e5623 (patch)
tree521c7e7532f4d29f434cf80c84ed4d25374e6670
parentdev-util/kdevelop: version bump 5.1.1 (diff)
downloadgentoo-21ae13107a5c962f734ee0b31b7a9d68b87e5623.tar.gz
gentoo-21ae13107a5c962f734ee0b31b7a9d68b87e5623.tar.bz2
gentoo-21ae13107a5c962f734ee0b31b7a9d68b87e5623.zip
dev-util/kdevelop-python: version bump 5.1.1
Package-Manager: Portage-2.3.5, Repoman-2.3.2
-rw-r--r--dev-util/kdevelop-python/Manifest1
-rw-r--r--dev-util/kdevelop-python/kdevelop-python-5.1.1.ebuild53
2 files changed, 54 insertions, 0 deletions
diff --git a/dev-util/kdevelop-python/Manifest b/dev-util/kdevelop-python/Manifest
index fef8da7c50e..2b8aa6f8ceb 100644
--- a/dev-util/kdevelop-python/Manifest
+++ b/dev-util/kdevelop-python/Manifest
@@ -1 +1,2 @@
DIST kdev-python-5.1.0.tar.xz 1068408 SHA256 362334b35a807af9143cd209619939f514a526d7e93a7f22000ed090c045d918 SHA512 9e7a847d0303a580929d70016de43392b0fe59531b4edafd25f601c27f87edae0c9056c77da2092d2d6fabd7a60e0f259a9a4209d7eef94fc932f35d9f2f9092 WHIRLPOOL 712057597fe91d42930d19b32dba1ceeb687d3e9e32ed100f37b9a0a4bbf075137098f95aa7f218f4e5797dfc81f9efbdaf5bc232dd62878d6731dba0309752c
+DIST kdev-python-5.1.1.tar.xz 1068832 SHA256 e2d8ed64106fb6ff12161095df67d078af9e56c9075f7c2a99d96fb517ff020e SHA512 e232b2fc44876c8e46422ea2986c2df06071e3422236139d3658f514d2f9d968c4f6320048566fe991c5c510cc3cf36eb55389e3d2205bb29c92b4c6a97b19bf WHIRLPOOL c5990fb2bbd74aee057b31b9dd74dafad0d1a8fe183f8c9321d444aca820dffe85a37642fa7de961362dea1b51224d6e3e80ab4c67525c82c676a152dd76425b
diff --git a/dev-util/kdevelop-python/kdevelop-python-5.1.1.ebuild b/dev-util/kdevelop-python/kdevelop-python-5.1.1.ebuild
new file mode 100644
index 00000000000..fe446336d5e
--- /dev/null
+++ b/dev-util/kdevelop-python/kdevelop-python-5.1.1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+EGIT_BRANCH="5.1"
+KDEBASE="kdevelop"
+KMNAME="kdev-python"
+PYTHON_COMPAT=( python3_{4,5,6} )
+inherit kde5 python-single-r1
+
+DESCRIPTION="Python plugin for KDevelop"
+IUSE=""
+[[ ${KDE_BUILD_TYPE} = release ]] && KEYWORDS="~amd64 ~x86"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="${PYTHON_DEPS}
+ $(add_frameworks_dep kcompletion)
+ $(add_frameworks_dep kconfig)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep kio)
+ $(add_frameworks_dep kitemmodels)
+ $(add_frameworks_dep knewstuff)
+ $(add_frameworks_dep kparts)
+ $(add_frameworks_dep ktexteditor)
+ $(add_frameworks_dep kwidgetsaddons)
+ $(add_frameworks_dep kxmlgui)
+ $(add_frameworks_dep threadweaver)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtwidgets)
+ dev-util/kdevplatform:5
+"
+RDEPEND="${DEPEND}
+ dev-python/pycodestyle[${PYTHON_USEDEP}]
+ dev-util/kdevelop:5
+"
+
+RESTRICT+=" test"
+
+pkg_setup() {
+ python-single-r1_pkg_setup
+ kde5_pkg_setup
+}
+
+src_compile() {
+ pushd "${WORKDIR}"/${P}_build > /dev/null || die
+ emake parser
+ popd > /dev/null || die
+
+ kde5_src_compile
+}